it.reply.healty.innovapuglia.mstaccuino.exception

## Enum FaultError

- java.lang.Object
- - java.lang.Enum<FaultError>
  - - it.reply.healty.innovapuglia.mstaccuino.exception.FaultError

- All Implemented Interfaces:
    Serializable, Comparable<FaultError>

      public enum FaultError
      extends Enum<FaultError>

  Identificativi errore per la generazione dei fault. Questi dettagli vengono trasmessi al client.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APP_DATO_NON_TROVATO`
    `APP_DOC_GIA_PRESENTE`
    `APP_MISMATCH_CF_ID_DOC`
    `APP_MISMATCH_CF_ID_NOTA`
    `APP_PAZIENTE_NON_TROVATO`
    `APP_RICERCA`
    `APP_SALVATAGGIO`
    `CLIENT_DIMENSIONE_FILE`
    `CLIENT_DOC_NON_TROVATO_REPO`
    `CLIENT_GENERICO`
    `CLIENT_TIPOLOGIA_CONTENUTO`
    `GENERICO`
    `SEC_DELEGA`
    `SEC_UNAUTHORIZED`
    `VAL_PARAMETRO_INPUT_ERRATO`
    `VAL_PARAMETRO_MANCANTE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getStringErrorMess(String detailMessage)` Costruisce e restituisce un messaggio di errore formattato.
    `static FaultError` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FaultError[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GENERICO

          public static final FaultError GENERICO

    - #### VAL_PARAMETRO_MANCANTE

          public static final FaultError VAL_PARAMETRO_MANCANTE

    - #### VAL_PARAMETRO_INPUT_ERRATO

          public static final FaultError VAL_PARAMETRO_INPUT_ERRATO

    - #### CLIENT_GENERICO

          public static final FaultError CLIENT_GENERICO

    - #### CLIENT_DIMENSIONE_FILE

          public static final FaultError CLIENT_DIMENSIONE_FILE

    - #### CLIENT_TIPOLOGIA_CONTENUTO

          public static final FaultError CLIENT_TIPOLOGIA_CONTENUTO

    - #### CLIENT_DOC_NON_TROVATO_REPO

          public static final FaultError CLIENT_DOC_NON_TROVATO_REPO

    - #### SEC_UNAUTHORIZED

          public static final FaultError SEC_UNAUTHORIZED

    - #### SEC_DELEGA

          public static final FaultError SEC_DELEGA

    - #### APP_DATO_NON_TROVATO

          public static final FaultError APP_DATO_NON_TROVATO

    - #### APP_SALVATAGGIO

          public static final FaultError APP_SALVATAGGIO

    - #### APP_RICERCA

          public static final FaultError APP_RICERCA

    - #### APP_MISMATCH_CF_ID_DOC

          public static final FaultError APP_MISMATCH_CF_ID_DOC

    - #### APP_MISMATCH_CF_ID_NOTA

          public static final FaultError APP_MISMATCH_CF_ID_NOTA

    - #### APP_PAZIENTE_NON_TROVATO

          public static final FaultError APP_PAZIENTE_NON_TROVATO

    - #### APP_DOC_GIA_PRESENTE

          public static final FaultError APP_DOC_GIA_PRESENTE

  - ### Method Detail

    - #### values

          public static FaultError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FaultError c : FaultError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FaultError valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getStringErrorMess

          public String getStringErrorMess(String detailMessage)

      Costruisce e restituisce un messaggio di errore formattato.
      Parameters:
        `detailMessage` - Messaggio di dettaglio opzionale da aggiungere all'errorMessage
      Returns:
        Messaggio di errore conclusivo e formattato, con eventuali dettagli aggiuntivi

Copyright © 2024. All rights reserved.